Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.simulator.tools.panorama
Class LogPanoramaFrame

    java.lang.Object
      lbg.simulator.tools.panorama.LogPanoramaFrame

All Implemented Interfaces:
  java.lang.Runnable

    public class LogPanoramaFrame

extends java.lang.Object
implements java.lang.Runnable

Author:
  Cyril Briquet

Field Summary
`static int` | `DEFAULT_INITIAL_HEIGHT`
`static int` | `DEFAULT_INITIAL_WIDTH`

Constructor Summary
`LogPanoramaFrame(java.lang.String spreadsheet_fn, java.util.concurrent.LinkedBlockingQueue<LogChartRequest> q)`

Method Summary
`void` | `run()` Runnable implementation.
`void` | `setup(int expected_charts)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_INITIAL_WIDTH

    public static final int DEFAULT_INITIAL_WIDTH

See Also:
  Constant Field Values

### DEFAULT_INITIAL_HEIGHT

    public static final int DEFAULT_INITIAL_HEIGHT

See Also:
  Constant Field Values

Constructor Detail

### LogPanoramaFrame

    public LogPanoramaFrame(java.lang.String spreadsheet_fn,
                            java.util.concurrent.LinkedBlockingQueue<LogChartRequest> q)
                     throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### run

    public void run()

  Runnable implementation.

  Specified by:
    `run` in interface `java.lang.Runnable`

### setup

    public void setup(int expected_charts)
               throws GridException

  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.